Package de.willuhn.jameica.hbci.gui.dialogs

# Class SepaExportDialog

java.lang.Object
de.willuhn.jameica.gui.dialogs.AbstractDialog
de.willuhn.jameica.hbci.gui.dialogs.SepaExportDialog

public class SepaExportDialog extends de.willuhn.jameica.gui.dialogs.AbstractDialog
Dialog zum Exportieren eines Auftrages als SEPA-XML-Datei.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`MONITOR_CURRENT, MONITOR_PRIMARY, POSITION_CENTER, POSITION_MOUSE`

## Constructor Summary

Constructors
Constructor
Description
`SepaExportDialog(org.kapott.hbci.sepa.SepaVersion.Type type)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`getData()`
`File`
`getFile()`
Liefert die ausgewaehlte Ziel-Datei.
`org.kapott.hbci.sepa.SepaVersion`
`getPainVersion()`
Liefert die ausgewaehlte PAIN-Version.
`protected void`
`paint(org.eclipse.swt.widgets.Composite parent)`

### Methods inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`addCloseListener, addShellListener, close, createShell, getDisplay, getShell, isModeless, onEscape, open, setMonitor, setPanelText, setSideImage, setSize, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SepaExportDialog

public SepaExportDialog(org.kapott.hbci.sepa.SepaVersion.Type type)
ct.

Parameters:
  `type` - der zu exportierende PAIN-Type.

## Method Details

### paint

protected void paint(org.eclipse.swt.widgets.Composite parent) throws Exception

Specified by:
  `paint` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog`
Throws:
  `Exception`
See Also:
  - `AbstractDialog.paint(org.eclipse.swt.widgets.Composite)`

### getData

protected Object getData() throws Exception

Specified by:
  `getData` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog`
Throws:
  `Exception`
See Also:
  - `AbstractDialog.getData()`

### getFile

public File getFile()
Liefert die ausgewaehlte Ziel-Datei.

Returns:
  die ausgewaehlte Ziel-Datei.

### getPainVersion

public org.kapott.hbci.sepa.SepaVersion getPainVersion()
Liefert die ausgewaehlte PAIN-Version.

Returns:
  die ausgewaehlte PAIN-Version.